import React, { Component } from "react";
import "../style/Highlight.css";
export class Highlight extends Component {
    render() {
        const { position, onClick, onMouseOver, onMouseOut, comment, isScrolledTo } = this.props;
        const { rects } = position;
        return (React.createElement("div", { className: `Highlight ${isScrolledTo ? "Highlight--scrolledTo" : ""}` },
            React.createElement("div", { className: "Highlight__parts" }, rects.map((rect, index) => {
                rect['background'] = comment.color;
                return (React.createElement("div", { onMouseOver: onMouseOver, onMouseOut: onMouseOut, onClick: onClick, key: index, style: rect, className: `Highlight__part` }));
            }))));
    }
}
export default Highlight;
//# sourceMappingURL=Highlight.js.map