import React, { Component } from "react";
import "../style/Tip.css";
import RandomColor from 'randomcolor';
export class Tip extends Component {
    constructor() {
        super(...arguments);
        this.state = {
            label: '',
            selectValue: '',
            color: ''
        };
        this.handleChange = (event) => {
            let colorNew = RandomColor();
            let eLabel = event.target.options[event.target.selectedIndex].text;
            this.setState({
                label: eLabel,
                selectValue: event.target.value,
                color: colorNew
            });
        };
    }
    render() {
        const { onConfirm, highlight, options } = this.props;
        const { selectValue, color, label } = this.state;
        return (React.createElement("div", { className: "Tip" },
            React.createElement("form", { className: "Tip__card", onSubmit: (event) => {
                    event.preventDefault();
                    onConfirm({ selectValue, color, label });
                } },
                React.createElement("h4", { style: { color: '#333' } }, "Please select the desired field."),
                React.createElement("div", null,
                    React.createElement("select", { defaultValue: highlight ? highlight.comment.selectValue : '', onChange: this.handleChange, style: {
                            width: '80%',
                            margin: 10,
                            padding: 8,
                        } }, options
                        && options.length > 0
                        && options.map((option, index) => {
                            return (React.createElement("option", { style: {
                                    fontSize: 14,
                                    padding: 10,
                                }, key: index, value: option.value }, option.label));
                        }))),
                React.createElement("div", null,
                    React.createElement("input", { type: "submit", disabled: selectValue ? false : true, value: "Done", style: {
                            width: '100%',
                            backgroundColor: 'rgba(11, 161, 11, 0.753)'
                        } })))));
    }
}
export default Tip;
//# sourceMappingURL=Tip.js.map